# Security Notice

This document outlines general security procedures and policies for HTMLHint

## Reporting a vulnerability

Please report security vulnerabilities to us via [email](mailto:htmlhint@gmail.com) to work on verifying the vulnerability and fixing it. You will receive a response within 48 hours.
Please allow the vulnerability to be fixed before any public exposure, as this will help protect all of the people who use a fork of the repo.

Please include the requested information listed below (as much as you can provide) to help us better understand the nature and scope of the possible issue:

- Type of issue (e.g. buffer overflow, SQL injection, cross-site scripting, etc.)
- Full paths of source file(s) related to the manifestation of the issue
- The location of the affected source code (tag/branch/commit or direct URL)
- Any special configuration required to reproduce the issue
- Step-by-step instructions to reproduce the issue
- Proof-of-concept or exploit code (if possible)
- Impact of the issue, including how an attacker might exploit the issue
